org.apache.flume.source.taildir

## Class TaildirSource

- java.lang.Object
- - org.apache.flume.source.AbstractSource
  - - org.apache.flume.source.taildir.TaildirSource

- All Implemented Interfaces:
    Configurable, LifecycleAware, NamedComponent, PollableSource, Source

      public class TaildirSource
      extends AbstractSource
      implements PollableSource, Configurable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.flume.PollableSource

      `PollableSource.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaildirSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `long` | `getBackOffSleepIncrement()`
    `long` | `getMaxBackOffSleepInterval()`
    `protected SourceCounter` | `getSourceCounter()`
    `PollableSource.Status` | `process()` Attempt to pull an item from the source, sending it to the channel.
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.flume.source.AbstractSource

      `getChannelProcessor, getLifecycleState, getName, setChannelProcessor, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Constructor Detail

    - #### TaildirSource

          public TaildirSource()

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`
      Overrides:
        `start` in class `AbstractSource`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`
      Overrides:
        `stop` in class `AbstractSource`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractSource`

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### getSourceCounter

          protected SourceCounter getSourceCounter()

    - #### process

          public PollableSource.Status process()

      Description copied from interface: `PollableSource`

      Attempt to pull an item from the source, sending it to the channel.

      When driven by an `EventDrivenSourceRunner` process is guaranteed to be called only by a single thread at a time, with no concurrency. Any other mechanism driving a pollable source must follow the same semantics.

      Specified by:
        `process` in interface `PollableSource`
      Returns:
        `READY` if one or more events were created from the source. `BACKOFF` if no events could be created from the source.

    - #### getBackOffSleepIncrement

          public long getBackOffSleepIncrement()

      Specified by:
        `getBackOffSleepIncrement` in interface `PollableSource`

    - #### getMaxBackOffSleepInterval

          public long getMaxBackOffSleepInterval()

      Specified by:
        `getMaxBackOffSleepInterval` in interface `PollableSource`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.